"use strict";

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

const sharp = require('sharp');

module.exports = (_ref) => {
  let {
    context,
    extension,
    format,
    pathname
  } = _ref,
      options = _objectWithoutProperties(_ref, ["context", "extension", "format", "pathname"]);

  if (extension === 'svg' || extension === 'gif' || !format) return pathname; // Shim for file-loader renaming

  context.resourcePath = context.resourcePath.replace(/\.[^.]+$/, `.${extension}`);
  return sharp(pathname).toFormat(format, options.sharp[format]);
};